Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Better fix to the comparison between signed and unsigned int around dynar size: chang...
[simgrid.git] / examples / amok / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27
28 VPATH = @srcdir@
29 pkgdatadir = $(datadir)/@PACKAGE@
30 pkglibdir = $(libdir)/@PACKAGE@
31 pkgincludedir = $(includedir)/@PACKAGE@
32 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 target_triplet = @target@
47 noinst_PROGRAMS = bandwidth/bandwidth_maestro$(EXEEXT) \
48         bandwidth/bandwidth_sensor$(EXEEXT) \
49         bandwidth/bandwidth_simulator$(EXEEXT) \
50         saturate/saturate_maestro$(EXEEXT) \
51         saturate/saturate_sensor$(EXEEXT) \
52         saturate/saturate_simulator$(EXEEXT)
53 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_32.tesh
54 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_64.tesh
55 @GRAS_ARCH_32_BITS_TRUE@am__append_3 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
56 @GRAS_ARCH_32_BITS_FALSE@am__append_4 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
57 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
58         $(top_srcdir)/acmacro/dist-files.mk
59 subdir = examples/amok
60 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
61 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
62         $(top_srcdir)/acmacro/compiler-flags.m4 \
63         $(top_srcdir)/acmacro/context.m4 \
64         $(top_srcdir)/acmacro/fancy_configury.m4 \
65         $(top_srcdir)/acmacro/flex.m4 \
66         $(top_srcdir)/acmacro/gras_arch.m4 \
67         $(top_srcdir)/acmacro/print_null.m4 \
68         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
69 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70         $(ACLOCAL_M4)
71 mkinstalldirs = $(install_sh) -d
72 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
73 CONFIG_CLEAN_FILES =
74 PROGRAMS = $(noinst_PROGRAMS)
75 am_bandwidth_bandwidth_maestro_OBJECTS = bandwidth.$(OBJEXT) \
76         _bandwidth_maestro.$(OBJEXT)
77 bandwidth_bandwidth_maestro_OBJECTS =  \
78         $(am_bandwidth_bandwidth_maestro_OBJECTS)
79 bandwidth_bandwidth_maestro_DEPENDENCIES = $(LDADD_RL)
80 am__dirstamp = $(am__leading_dot)dirstamp
81 am_bandwidth_bandwidth_sensor_OBJECTS = bandwidth.$(OBJEXT) \
82         _bandwidth_sensor.$(OBJEXT)
83 bandwidth_bandwidth_sensor_OBJECTS =  \
84         $(am_bandwidth_bandwidth_sensor_OBJECTS)
85 bandwidth_bandwidth_sensor_DEPENDENCIES = $(LDADD_RL)
86 am_bandwidth_bandwidth_simulator_OBJECTS = bandwidth.$(OBJEXT) \
87         _bandwidth_simulator.$(OBJEXT)
88 bandwidth_bandwidth_simulator_OBJECTS =  \
89         $(am_bandwidth_bandwidth_simulator_OBJECTS)
90 bandwidth_bandwidth_simulator_DEPENDENCIES = $(LDADD_SG)
91 am_saturate_saturate_maestro_OBJECTS = saturate.$(OBJEXT) \
92         _saturate_maestro.$(OBJEXT)
93 saturate_saturate_maestro_OBJECTS =  \
94         $(am_saturate_saturate_maestro_OBJECTS)
95 saturate_saturate_maestro_DEPENDENCIES = $(LDADD_RL)
96 am_saturate_saturate_sensor_OBJECTS = saturate.$(OBJEXT) \
97         _saturate_sensor.$(OBJEXT)
98 saturate_saturate_sensor_OBJECTS =  \
99         $(am_saturate_saturate_sensor_OBJECTS)
100 saturate_saturate_sensor_DEPENDENCIES = $(LDADD_RL)
101 am_saturate_saturate_simulator_OBJECTS = saturate.$(OBJEXT) \
102         _saturate_simulator.$(OBJEXT)
103 saturate_saturate_simulator_OBJECTS =  \
104         $(am_saturate_saturate_simulator_OBJECTS)
105 saturate_saturate_simulator_DEPENDENCIES = $(LDADD_SG)
106 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
107 depcomp = $(SHELL) $(top_srcdir)/depcomp
108 am__depfiles_maybe = depfiles
109 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
110         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
111 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
112         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
113         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
114 CCLD = $(CC)
115 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
116         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
117         $(LDFLAGS) -o $@
118 SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
119         $(bandwidth_bandwidth_sensor_SOURCES) \
120         $(bandwidth_bandwidth_simulator_SOURCES) \
121         $(saturate_saturate_maestro_SOURCES) \
122         $(saturate_saturate_sensor_SOURCES) \
123         $(saturate_saturate_simulator_SOURCES)
124 DIST_SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
125         $(bandwidth_bandwidth_sensor_SOURCES) \
126         $(bandwidth_bandwidth_simulator_SOURCES) \
127         $(saturate_saturate_maestro_SOURCES) \
128         $(saturate_saturate_sensor_SOURCES) \
129         $(saturate_saturate_simulator_SOURCES)
130 ETAGS = etags
131 CTAGS = ctags
132 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
133 ACLOCAL = @ACLOCAL@
134 ADDR2LINE = @ADDR2LINE@
135 AMTAR = @AMTAR@
136 AM_CPPFLAGS = @AM_CPPFLAGS@
137 AR = @AR@
138 AS = @AS@
139 AUTOCONF = @AUTOCONF@
140 AUTOHEADER = @AUTOHEADER@
141 AUTOMAKE = @AUTOMAKE@
142 AWK = @AWK@
143 BASH = @BASH@
144 CC = @CC@
145 CCDEPMODE = @CCDEPMODE@
146 CFLAGS = @CFLAGS@
147 CPP = @CPP@
148 CPPFLAGS = @CPPFLAGS@
149 CXX = @CXX@
150 CXXCPP = @CXXCPP@
151 CXXDEPMODE = @CXXDEPMODE@
152 CXXFLAGS = @CXXFLAGS@
153 CYGPATH_W = @CYGPATH_W@
154 DEFS = @DEFS@
155 DEPDIR = @DEPDIR@
156 DLLTOOL = @DLLTOOL@
157 DOXYGEN = @DOXYGEN@
158 ECHO = @ECHO@
159 ECHO_C = @ECHO_C@
160 ECHO_N = @ECHO_N@
161 ECHO_T = @ECHO_T@
162 EGREP = @EGREP@
163 EXEEXT = @EXEEXT@
164 FLEXML = @FLEXML@
165 GCJ = @GCJ@
166 GCJDEPMODE = @GCJDEPMODE@
167 GCJFLAGS = @GCJFLAGS@
168 GRAS_DEP = @GRAS_DEP@
169 GREP = @GREP@
170 INSTALL = @INSTALL@
171 INSTALL_DATA = @INSTALL_DATA@
172 INSTALL_PROGRAM = @INSTALL_PROGRAM@
173 INSTALL_SCRIPT = @INSTALL_SCRIPT@
174 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
175 JAR = @JAR@
176 JAVA = @JAVA@
177 JAVAC = @JAVAC@
178 LDFLAGS = @LDFLAGS@
179 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
180 LEX = @LEX@
181 LEXLIB = @LEXLIB@
182 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
183 LIBOBJS = @LIBOBJS@
184 LIBS = @LIBS@
185 LIBTOOL = @LIBTOOL@
186 LN_S = @LN_S@
187 LTLIBOBJS = @LTLIBOBJS@
188 MAINT = @MAINT@
189 MAKEINFO = @MAKEINFO@
190 MD5SUM = @MD5SUM@
191 MKDIR_P = @MKDIR_P@
192 OBJDUMP = @OBJDUMP@
193 OBJEXT = @OBJEXT@
194 PACKAGE = @PACKAGE@
195 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
196 PACKAGE_NAME = @PACKAGE_NAME@
197 PACKAGE_STRING = @PACKAGE_STRING@
198 PACKAGE_TARNAME = @PACKAGE_TARNAME@
199 PACKAGE_VERSION = @PACKAGE_VERSION@
200 PATH_SEPARATOR = @PATH_SEPARATOR@
201 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
202 RANLIB = @RANLIB@
203 SET_MAKE = @SET_MAKE@
204 SHELL = @SHELL@
205 SIMGRID_DEP = @SIMGRID_DEP@
206 SMPI_DEP = @SMPI_DEP@
207 STRIP = @STRIP@
208 VERSION = @VERSION@
209 WARNING = @WARNING@
210 abs_builddir = @abs_builddir@
211 abs_srcdir = @abs_srcdir@
212 abs_top_builddir = @abs_top_builddir@
213 abs_top_srcdir = @abs_top_srcdir@
214 ac_configure_args = @ac_configure_args@
215 ac_ct_CC = @ac_ct_CC@
216 ac_ct_CXX = @ac_ct_CXX@
217 am__include = @am__include@
218 am__leading_dot = @am__leading_dot@
219 am__quote = @am__quote@
220 am__tar = @am__tar@
221 am__untar = @am__untar@
222 bindir = @bindir@
223 build = @build@
224 build_alias = @build_alias@
225 build_cpu = @build_cpu@
226 build_id = @build_id@
227 build_os = @build_os@
228 build_vendor = @build_vendor@
229 builddir = @builddir@
230 datadir = @datadir@
231 datarootdir = @datarootdir@
232 docdir = @docdir@
233 dvidir = @dvidir@
234 exec_prefix = @exec_prefix@
235 host = @host@
236 host_alias = @host_alias@
237 host_cpu = @host_cpu@
238 host_os = @host_os@
239 host_vendor = @host_vendor@
240 htmldir = @htmldir@
241 includedir = @includedir@
242 infodir = @infodir@
243 install_sh = @install_sh@
244 libdir = @libdir@
245 libexecdir = @libexecdir@
246 localedir = @localedir@
247 localstatedir = @localstatedir@
248 mandir = @mandir@
249 mkdir_p = @mkdir_p@
250 oldincludedir = @oldincludedir@
251 pdfdir = @pdfdir@
252 prefix = @prefix@
253 program_transform_name = @program_transform_name@
254 psdir = @psdir@
255 pth_skaddr_makecontext = @pth_skaddr_makecontext@
256 pth_sksize_makecontext = @pth_sksize_makecontext@
257 sbindir = @sbindir@
258 sharedstatedir = @sharedstatedir@
259 srcdir = @srcdir@
260 sysconfdir = @sysconfdir@
261 target = @target@
262 target_alias = @target_alias@
263 target_cpu = @target_cpu@
264 target_os = @target_os@
265 target_vendor = @target_vendor@
266 top_builddir = @top_builddir@
267 top_srcdir = @top_srcdir@
268 INCLUDES = -I$(top_srcdir)/include
269 AM_CFLAGS = -g
270
271 ###################
272 # Bandwidth tests #
273 ###################
274
275 ###################
276 # saturate tests #
277 ###################
278 EXTRA_DIST = bandwidth/bandwidth.xml saturate/saturate.xml
279 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
280 TESTS = $(am__append_1) $(am__append_2) $(am__append_3) \
281         $(am__append_4)
282 XFAIL_TESTS = 
283 LDADD_SG = $(top_builddir)/src/libsimgrid.la
284 LDADD_RL = $(top_builddir)/src/libgras.la
285 bandwidth_bandwidth_simulator_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_simulator.c
286 bandwidth_bandwidth_maestro_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_maestro.c
287 bandwidth_bandwidth_sensor_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_sensor.c 
288 bandwidth_bandwidth_simulator_LDADD = $(LDADD_SG)
289 bandwidth_bandwidth_maestro_LDADD = $(LDADD_RL)
290 bandwidth_bandwidth_sensor_LDADD = $(LDADD_RL)
291 saturate_saturate_simulator_SOURCES = saturate/saturate.c saturate/_saturate_simulator.c
292 saturate_saturate_maestro_SOURCES = saturate/saturate.c saturate/_saturate_maestro.c
293 saturate_saturate_sensor_SOURCES = saturate/saturate.c saturate/_saturate_sensor.c 
294 saturate_saturate_simulator_LDADD = $(LDADD_SG)
295 saturate_saturate_maestro_LDADD = $(LDADD_RL)
296 saturate_saturate_sensor_LDADD = $(LDADD_RL)
297 all: all-am
298
299 .SUFFIXES:
300 .SUFFIXES: .c .lo .o .obj
301 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
302         @for dep in $?; do \
303           case '$(am__configure_deps)' in \
304             *$$dep*) \
305               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
306                 && exit 0; \
307               exit 1;; \
308           esac; \
309         done; \
310         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/amok/Makefile'; \
311         cd $(top_srcdir) && \
312           $(AUTOMAKE) --gnu  examples/amok/Makefile
313 .PRECIOUS: Makefile
314 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
315         @case '$?' in \
316           *config.status*) \
317             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
318           *) \
319             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
320             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
321         esac;
322
323 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
324         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
325
326 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
327         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
328 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
329         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
330
331 clean-noinstPROGRAMS:
332         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
333           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
334           echo " rm -f $$p $$f"; \
335           rm -f $$p $$f ; \
336         done
337 bandwidth/$(am__dirstamp):
338         @$(MKDIR_P) bandwidth
339         @: > bandwidth/$(am__dirstamp)
340 bandwidth/bandwidth_maestro$(EXEEXT): $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_DEPENDENCIES) bandwidth/$(am__dirstamp)
341         @rm -f bandwidth/bandwidth_maestro$(EXEEXT)
342         $(LINK) $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_LDADD) $(LIBS)
343 bandwidth/bandwidth_sensor$(EXEEXT): $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_DEPENDENCIES) bandwidth/$(am__dirstamp)
344         @rm -f bandwidth/bandwidth_sensor$(EXEEXT)
345         $(LINK) $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_LDADD) $(LIBS)
346 bandwidth/bandwidth_simulator$(EXEEXT): $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_DEPENDENCIES) bandwidth/$(am__dirstamp)
347         @rm -f bandwidth/bandwidth_simulator$(EXEEXT)
348         $(LINK) $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_LDADD) $(LIBS)
349 saturate/$(am__dirstamp):
350         @$(MKDIR_P) saturate
351         @: > saturate/$(am__dirstamp)
352 saturate/saturate_maestro$(EXEEXT): $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_DEPENDENCIES) saturate/$(am__dirstamp)
353         @rm -f saturate/saturate_maestro$(EXEEXT)
354         $(LINK) $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_LDADD) $(LIBS)
355 saturate/saturate_sensor$(EXEEXT): $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_DEPENDENCIES) saturate/$(am__dirstamp)
356         @rm -f saturate/saturate_sensor$(EXEEXT)
357         $(LINK) $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_LDADD) $(LIBS)
358 saturate/saturate_simulator$(EXEEXT): $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_DEPENDENCIES) saturate/$(am__dirstamp)
359         @rm -f saturate/saturate_simulator$(EXEEXT)
360         $(LINK) $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_LDADD) $(LIBS)
361
362 mostlyclean-compile:
363         -rm -f *.$(OBJEXT)
364
365 distclean-compile:
366         -rm -f *.tab.c
367
368 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_maestro.Po@am__quote@
369 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_sensor.Po@am__quote@
370 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_simulator.Po@am__quote@
371 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_maestro.Po@am__quote@
372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_sensor.Po@am__quote@
373 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_simulator.Po@am__quote@
374 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth.Po@am__quote@
375 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/saturate.Po@am__quote@
376
377 .c.o:
378 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
379 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
380 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
381 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
382 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
383
384 .c.obj:
385 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
386 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
387 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
388 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
389 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
390
391 .c.lo:
392 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
393 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
394 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
395 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
396 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
397
398 bandwidth.o: bandwidth/bandwidth.c
399 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.o -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
400 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
401 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.o' libtool=no @AMDEPBACKSLASH@
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
403 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
404
405 bandwidth.obj: bandwidth/bandwidth.c
406 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.obj -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
407 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.obj' libtool=no @AMDEPBACKSLASH@
409 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
410 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
411
412 _bandwidth_maestro.o: bandwidth/_bandwidth_maestro.c
413 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.o -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
414 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.o' libtool=no @AMDEPBACKSLASH@
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
417 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
418
419 _bandwidth_maestro.obj: bandwidth/_bandwidth_maestro.c
420 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.obj -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
421 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.obj' libtool=no @AMDEPBACKSLASH@
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
424 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
425
426 _bandwidth_sensor.o: bandwidth/_bandwidth_sensor.c
427 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.o -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
428 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.o' libtool=no @AMDEPBACKSLASH@
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
432
433 _bandwidth_sensor.obj: bandwidth/_bandwidth_sensor.c
434 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.obj -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
435 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.obj' libtool=no @AMDEPBACKSLASH@
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
438 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
439
440 _bandwidth_simulator.o: bandwidth/_bandwidth_simulator.c
441 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.o -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
442 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.o' libtool=no @AMDEPBACKSLASH@
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
445 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
446
447 _bandwidth_simulator.obj: bandwidth/_bandwidth_simulator.c
448 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.obj -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
449 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.obj' libtool=no @AMDEPBACKSLASH@
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
452 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
453
454 saturate.o: saturate/saturate.c
455 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.o -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
456 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.o' libtool=no @AMDEPBACKSLASH@
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
459 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
460
461 saturate.obj: saturate/saturate.c
462 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.obj -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
463 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.obj' libtool=no @AMDEPBACKSLASH@
465 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
466 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
467
468 _saturate_maestro.o: saturate/_saturate_maestro.c
469 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.o -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
470 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.o' libtool=no @AMDEPBACKSLASH@
472 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
473 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
474
475 _saturate_maestro.obj: saturate/_saturate_maestro.c
476 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.obj -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
477 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.obj' libtool=no @AMDEPBACKSLASH@
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
480 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
481
482 _saturate_sensor.o: saturate/_saturate_sensor.c
483 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.o -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
484 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.o' libtool=no @AMDEPBACKSLASH@
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
487 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
488
489 _saturate_sensor.obj: saturate/_saturate_sensor.c
490 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.obj -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
491 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.obj' libtool=no @AMDEPBACKSLASH@
493 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
494 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
495
496 _saturate_simulator.o: saturate/_saturate_simulator.c
497 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.o -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
498 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.o' libtool=no @AMDEPBACKSLASH@
500 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
501 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
502
503 _saturate_simulator.obj: saturate/_saturate_simulator.c
504 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.obj -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
505 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.obj' libtool=no @AMDEPBACKSLASH@
507 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
508 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
509
510 mostlyclean-libtool:
511         -rm -f *.lo
512
513 clean-libtool:
514         -rm -rf .libs _libs
515
516 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
517         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
518         unique=`for i in $$list; do \
519             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
520           done | \
521           $(AWK) '    { files[$$0] = 1; } \
522                END { for (i in files) print i; }'`; \
523         mkid -fID $$unique
524 tags: TAGS
525
526 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
527                 $(TAGS_FILES) $(LISP)
528         tags=; \
529         here=`pwd`; \
530         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
531         unique=`for i in $$list; do \
532             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
533           done | \
534           $(AWK) '    { files[$$0] = 1; } \
535                END { for (i in files) print i; }'`; \
536         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
537           test -n "$$unique" || unique=$$empty_fix; \
538           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
539             $$tags $$unique; \
540         fi
541 ctags: CTAGS
542 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
543                 $(TAGS_FILES) $(LISP)
544         tags=; \
545         here=`pwd`; \
546         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
547         unique=`for i in $$list; do \
548             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
549           done | \
550           $(AWK) '    { files[$$0] = 1; } \
551                END { for (i in files) print i; }'`; \
552         test -z "$(CTAGS_ARGS)$$tags$$unique" \
553           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
554              $$tags $$unique
555
556 GTAGS:
557         here=`$(am__cd) $(top_builddir) && pwd` \
558           && cd $(top_srcdir) \
559           && gtags -i $(GTAGS_ARGS) $$here
560
561 distclean-tags:
562         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
563
564 check-TESTS: $(TESTS)
565         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
566         srcdir=$(srcdir); export srcdir; \
567         list=' $(TESTS) '; \
568         if test -n "$$list"; then \
569           for tst in $$list; do \
570             if test -f ./$$tst; then dir=./; \
571             elif test -f $$tst; then dir=; \
572             else dir="$(srcdir)/"; fi; \
573             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
574               all=`expr $$all + 1`; \
575               case " $(XFAIL_TESTS) " in \
576               *$$ws$$tst$$ws*) \
577                 xpass=`expr $$xpass + 1`; \
578                 failed=`expr $$failed + 1`; \
579                 echo "XPASS: $$tst"; \
580               ;; \
581               *) \
582                 echo "PASS: $$tst"; \
583               ;; \
584               esac; \
585             elif test $$? -ne 77; then \
586               all=`expr $$all + 1`; \
587               case " $(XFAIL_TESTS) " in \
588               *$$ws$$tst$$ws*) \
589                 xfail=`expr $$xfail + 1`; \
590                 echo "XFAIL: $$tst"; \
591               ;; \
592               *) \
593                 failed=`expr $$failed + 1`; \
594                 echo "FAIL: $$tst"; \
595               ;; \
596               esac; \
597             else \
598               skip=`expr $$skip + 1`; \
599               echo "SKIP: $$tst"; \
600             fi; \
601           done; \
602           if test "$$failed" -eq 0; then \
603             if test "$$xfail" -eq 0; then \
604               banner="All $$all tests passed"; \
605             else \
606               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
607             fi; \
608           else \
609             if test "$$xpass" -eq 0; then \
610               banner="$$failed of $$all tests failed"; \
611             else \
612               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
613             fi; \
614           fi; \
615           dashes="$$banner"; \
616           skipped=""; \
617           if test "$$skip" -ne 0; then \
618             skipped="($$skip tests were not run)"; \
619             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
620               dashes="$$skipped"; \
621           fi; \
622           report=""; \
623           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
624             report="Please report to $(PACKAGE_BUGREPORT)"; \
625             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
626               dashes="$$report"; \
627           fi; \
628           dashes=`echo "$$dashes" | sed s/./=/g`; \
629           echo "$$dashes"; \
630           echo "$$banner"; \
631           test -z "$$skipped" || echo "$$skipped"; \
632           test -z "$$report" || echo "$$report"; \
633           echo "$$dashes"; \
634           test "$$failed" -eq 0; \
635         else :; fi
636
637 distdir: $(DISTFILES)
638         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
639         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
640         list='$(DISTFILES)'; \
641           dist_files=`for file in $$list; do echo $$file; done | \
642           sed -e "s|^$$srcdirstrip/||;t" \
643               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
644         case $$dist_files in \
645           */*) $(MKDIR_P) `echo "$$dist_files" | \
646                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
647                            sort -u` ;; \
648         esac; \
649         for file in $$dist_files; do \
650           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
651           if test -d $$d/$$file; then \
652             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
653             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
654               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
655             fi; \
656             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
657           else \
658             test -f $(distdir)/$$file \
659             || cp -p $$d/$$file $(distdir)/$$file \
660             || exit 1; \
661           fi; \
662         done
663 check-am: all-am
664         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
665 check: check-am
666 all-am: Makefile $(PROGRAMS)
667 installdirs:
668 install: install-am
669 install-exec: install-exec-am
670 install-data: install-data-am
671 uninstall: uninstall-am
672
673 install-am: all-am
674         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
675
676 installcheck: installcheck-am
677 install-strip:
678         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
679           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
680           `test -z '$(STRIP)' || \
681             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
682 mostlyclean-generic:
683
684 clean-generic:
685
686 distclean-generic:
687         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
688         -rm -f bandwidth/$(am__dirstamp)
689         -rm -f saturate/$(am__dirstamp)
690
691 maintainer-clean-generic:
692         @echo "This command is intended for maintainers to use"
693         @echo "it deletes files that may require special tools to rebuild."
694 clean: clean-am
695
696 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
697         mostlyclean-am
698
699 distclean: distclean-am
700         -rm -rf ./$(DEPDIR)
701         -rm -f Makefile
702 distclean-am: clean-am distclean-compile distclean-generic \
703         distclean-tags
704
705 dvi: dvi-am
706
707 dvi-am:
708
709 html: html-am
710
711 info: info-am
712
713 info-am:
714
715 install-data-am:
716
717 install-dvi: install-dvi-am
718
719 install-exec-am:
720
721 install-html: install-html-am
722
723 install-info: install-info-am
724
725 install-man:
726
727 install-pdf: install-pdf-am
728
729 install-ps: install-ps-am
730
731 installcheck-am:
732
733 maintainer-clean: maintainer-clean-am
734         -rm -rf ./$(DEPDIR)
735         -rm -f Makefile
736 maintainer-clean-am: distclean-am maintainer-clean-generic
737
738 mostlyclean: mostlyclean-am
739
740 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
741         mostlyclean-libtool
742
743 pdf: pdf-am
744
745 pdf-am:
746
747 ps: ps-am
748
749 ps-am:
750
751 uninstall-am:
752
753 .MAKE: install-am install-strip
754
755 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
756         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
757         distclean distclean-compile distclean-generic \
758         distclean-libtool distclean-tags distdir dvi dvi-am html \
759         html-am info info-am install install-am install-data \
760         install-data-am install-dvi install-dvi-am install-exec \
761         install-exec-am install-html install-html-am install-info \
762         install-info-am install-man install-pdf install-pdf-am \
763         install-ps install-ps-am install-strip installcheck \
764         installcheck-am installdirs maintainer-clean \
765         maintainer-clean-generic mostlyclean mostlyclean-compile \
766         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
767         tags uninstall uninstall-am
768
769
770 # Take care of generatated sources
771 bandwidth/_bandwidth_simulator.c bandwidth/_bandwidth_sensor.c bandwidth/_bandwidth_maestro.c : bandwidth/bandwidth.c bandwidth/bandwidth.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
772         cd bandwidth; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ bandwidth ../$(top_srcdir)/examples/amok/bandwidth/bandwidth.xml
773
774 # Take care of generatated sources
775 saturate/_saturate_simulator.c saturate/_saturate_sensor.c saturate/_saturate_maestro.c : saturate/saturate.c saturate/saturate.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
776         cd saturate; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ saturate ../$(top_srcdir)/examples/amok/saturate/saturate.xml
777
778 dist-files:
779         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
780         @echo
781         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
782
783 #########
784 # Cruft #
785 #########
786 # Tell versions [3.59,3.63) of GNU make to not export all variables.
787 # Otherwise a system limit (for SysV at least) may be exceeded.
788 .NOEXPORT: